Summary: Parts of redhat-lsb-core only for use by Ceph
Name: stub-redhat-lsb-core-only-for-ceph
Version: 2015.1
Release: 1.atomic%{?dist}
Source0: %{name}-%{version}.tar.xz
License: MIT
URL: http://gitlab.osas.lab.eng.rdu2.redhat.com/walters/stub-redhat-lsb-core-only-for-ceph.git
BuildArch: noarch

# For autosetup
BuildRequires: git

Requires: initscripts
Provides: redhat-lsb-core
Obsoletes: redhat-lsb-core

%description
This package only exists to provide some init script functions
for Ceph.  Nothing else should use it.

%prep
%autosetup -n %{name}-%{version} -Sgit

%build
env NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"
find $RPM_BUILD_ROOT -name '*.la' -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/lib/lsb/init-functions
